setClass("interactionEntry",
        representation( organismName="character", taxId="character",
                        releaseDate="character",
                        interactors="matrix",
                        interactions="list"  # a list of "intactInteraction" instances
                       )
         )

setClass("complexEntry",
        representation( releaseDate="character",
                        interactors="matrix",
                        complexes="list"
                       )
         )

setClass("intactInteraction",
        representation( intact="character",
                        interactionType="character",
                        expPubMed="character",
                        expIntAct="character",
			confidenceValue="character",
                        bait="character",
                        prey="character",
                        inhibitor="character",
			neutralComponent="character")
         )

setClass("intactComplex",
        representation( intactId="character", 
			shortLabel="character",
                        fullName="character",
                        organismName="character",
                        taxId="character",
                        members="data.frame",  # first column is uniprot ID
                                                # second column is multiplicity
                        attributes="character" # named character vector)
                       )
         )


setClass("intactGraph",
         representation(interactors="matrix"),
         contains="graphNEL")

setClass("intactHyperGraph",
         representation(interactors="matrix"),
         contains="Hypergraph")
