
#source
#experimentList
#  experimentDescription(id)
#    shortLabel
#    fullName
#    hostOrganism
#      shortLabel
#    interactionDetection
#      shortLabel
#      primaryRef
#    participantDetection
#      shortLabel
#      primaryRef

eListHandler <- function()
   {
   eList <- list()
   inED <- inOrg <- inID <- inPD <- inNA <- inSL <- FALSE
   inPR <- inSR <- FALSE
   startElement = function(x, atts, ...) {
    if (x == "experimentDescription")
       {
       eList[[ curEL <<- atts["id"] ]] <<- list()
       inED <<- TRUE
       }
    else if (x == "names") inNA <<- TRUE
    else if (x == "shortLabel") inSL <<- TRUE
    else if (x == "hostOrganism") inOrg <<- TRUE
    else if (x == "interactionDetection") 
       {
       eList[[ curEL ]][["interactionDetection"]] <<- list()
       inID <<- TRUE
       }
    else if (x == "participantDetection") 
       {
       eList[[ curEL ]][["participantDetection"]] <<- list()
       inPD <<- TRUE
       }
    else if (x == "primaryRef") 
       {
       inPR <<- TRUE
       if (inID) 
          eList[[ curEL ]][["interactionDetection"]][["primRef"]] <<- atts
       else if (inPD) 
          eList[[ curEL ]][["participantDetection"]][["primRef"]] <<- atts
       }
    }
   endElement = function(x, ...) {
    if (x == "names") inNA <<- FALSE
    else if (x == "shortLabel") inSL <<- FALSE
    else if (x == "hostOrganism") inOrg <<- FALSE
    else if (x == "interactionDetection") inID <<- FALSE
    else if (x == "participantDetection") inPD <<- FALSE
    else if (x == "primaryRef") inPR <<- FALSE
    else if (x == "experimentDescription") inED <<- FALSE
    }
   text = function(x, atts, ...) {
    if (inOrg & inSL) 
     eList[[ curEL ]][["orgShort"]] <<- x
    else if (inID & inSL & inPR) 
     eList[[ curEL ]][["interactionDetection"]][["primaryRef"]] <<- x
    else if (inID & inSL & !inPR) 
     eList[[ curEL ]][["interactionDetection"]][["shortLabel"]] <<- x
    else if (inPD & inSL & !inPR) 
     eList[[ curEL ]][["participantDetection"]][["shortLabel"]] <<- x
    else if (inED & inNA & inSL & !inOrg & !inID & !inPD)
     eList[[ curEL ]][["expShortLabel"]] <<- x
    }

   dump = function() return(eList)
   list( startElement= startElement, 
         text=text, 
         endElement=endElement,
         dump=dump )
   }
   
