#
# iListHandler -- for interactionList elements of
#  intAct data
#
# interactionList
#  interaction
#   experimentList
#    experimentRef
#   participantList
#    proteinParticipant
#     proteinInteractorRef
#     role
#   interactionType
#    names
#     shortLabel
#    xref
#     primaryRef


iListHandler <- function()
   {
   iList <- list()
   pairvec <- ""
   curEL <- 1
   curPIR <- NULL
   inI <- inEL <- inER <- inPL <- inPP <- inPIR <- FALSE
   inRole <- inIT <- inNA <- inSL <- inXR <- inPR <- FALSE
   startElement = function(x, atts, ...) {
    if (x == "interaction") 
       {
       iList[[ curEL ]] <<- list()
       inI <<- TRUE
       }
    else if (x == "experimentList") inEL <<- TRUE
    else if (x == "experimentRef") inER <<- TRUE
    else if (x == "participantList") inPL <<- TRUE
    else if (x == "proteinInteractorRef") 
       {
       curPIR <<- atts
       if (nchar(pairvec[curEL])==0) pairvec[curEL] <<- paste(pairvec[curEL], curPIR, sep="")
       else  pairvec[curEL] <<- paste(pairvec[curEL], curPIR, sep=":")
       inPIR <<- TRUE
       }
    else if (x == "role") inRole <<- TRUE
    else if (x == "interactionType") inIT <<- TRUE
    else if (x == "names") inNA <<- TRUE
    else if (x == "shortLabel") inSL <<- TRUE
    else if (x == "xref") inXR <<- TRUE
    else if (x == "primaryRef") inPR <<- TRUE
    }
   endElement = function(x, ...) {
    if (x == "interaction") 
         {
         inI <<- FALSE
         curEL <<- curEL + 1
         pairvec <<- c(pairvec,"")
         }
    else if (x == "experimentList") inEL <<- FALSE
    else if (x == "experimentRef") inER <<- FALSE
    else if (x == "participantList") inPL <<- FALSE
    else if (x == "proteinInteractorRef") inPIR <<- FALSE
    else if (x == "role") inRole <<- FALSE
    else if (x == "interactionType") inIT <<- FALSE
    else if (x == "names") inNA <<- FALSE
    else if (x == "shortLabel") inSL <<- FALSE
    else if (x == "xref") inXR <<- FALSE
    else if (x == "primaryRef") inPR <<- FALSE
    }
   text = function(x, atts, ...) {
    if (inRole)
      iList[[curEL]][[curPIR]] <<- x
    }

   dump = function() {
    names(iList) <<- pairvec[1:length(iList)]
    return(iList)
    }
   list( startElement= startElement, 
         text=text, 
         endElement=endElement,
         dump=dump )
   }
   


