\name{complexEntry-class}
\docType{class}
\alias{complexEntry-class}
\alias{show,complexEntry-method}
\alias{complexes,complexEntry-method}
\alias{interactors,complexEntry-method}


\title{Class "complexEntry"}
\description{
A class representing the complex data extracted from an IntAct data file
in PSI-MI 2.5 format.}
\section{Objects from the Class}{
 Objects are usually created by \code{psi25complex}.
}
\section{Slots}{
 \describe{
   \item{\code{releaseDate}:}{character, release date of the data file.}
   \item{\code{interactors}:}{matrix. Each row represents one interactor. 
	IntAct IDs are used as row names. Each column represents one annotation. 
	Annotations include: UniProt ID, gene symbol, full name, locus name, 
	ORF name, organism name, and NCBI taxonomy ID.}
   \item{\code{complexes}:}{list, a list of \code{intactComplex} objects, 
	each represents one complex.} 
 }
}
\section{Methods}{
 \describe{
   \item{show}{\code{signature(object = "complexEntry")}: a print method}
   \item{complexes}{\code{signature(object = "complexEntry")}: a method to generate 
   and print all the complexes to the complexEntry class}
   \item{interactors}{\code{signature(object = "complexEntry")}: a method to generate
   and print all the interactors for a complex in the complexEntry class}
 }
}
\references{The IntAct Database: \url{http://www.ebi.ac.uk/intact/site/contents/downloads.jsf}.}

\author{Nianhua Li}

\seealso{\code{\link{intactComplex-class}}, \code{\link{psi25complex}}}

\keyword{models}
