\name{intactComplex-class}
\docType{class}
\alias{intactComplex-class}
\alias{show,intactComplex-method}

\title{Class "intactComplex"}
\description{A class representing complex data.}
\section{Objects from the Class}{
 Objects are usually created by \code{psi25complex}.
}
\section{Slots}{
 \describe{
   \item{\code{intactId}:}{character, identifier of the complex in IntAct.}
   \item{\code{shortLabel}:}{character, short label of the complex.}
   \item{\code{fullName}:}{character, full name of the complex.}
   \item{\code{organismName}:}{character, the unique organism names of the
	interactors in this complex.}
   \item{\code{taxId}:}{character, the unique NCBI taxonomy ID(s) of the
	interactors in this complex.}
   \item{\code{interactors}:}{data.frame. The data.frame contains two columns.
	The first column is the UniProt ID(s) of the interactors, the second
	column is the interactor's multiplicity.}
   \item{\code{attributes}:}{named character. The name is the attribute name, 
	the value is the attribute value. Attribute names include: 
	\code{curated-complex}, \code{complex-synonym}, \code{kd}, 
	\code{complex-properties}, \code{disease}.}
 }
}
\section{Methods}{
 \describe{
   \item{show}{\code{signature(object = "intactComplex")}: a print method}
 }
}
\author{Nianhua Li}

\seealso{\code{\link{psi25complex}}}
\keyword{models}
