\name{intactGraph-class}
\docType{class}
\alias{intactGraph-class}
\alias{show,intactGraph-method}
\alias{translateIntactID,intactGraph-method}
\alias{translateNodeID, intactGraph-method}

\title{Class "intactGraph"}
\description{A class representing the IntAct data as a graph. It is a 
	             superclass of the graph class.}
\section{Objects from the Class}{
 Objects are usually created by \code{intactXML2Graph}.
}
\section{Slots}{
 \describe{
 \item{\code{interactors}:}{matrix, Each row represents one interactor. IntAct
	IDs are used as row names. Each column represents one annotation. 
	Annotations include: UniProt ID, gene symbol, full name, locus name, ORF name,
        organism name, and NCBI taxonomy ID. Only those interactors which are 
	the nodes of the intactGraph is given.}
 }
}
\section{Methods}{
 \describe{
	\item{show}{\code{signature(object = "intactGraph")}: a print method}
   	\item{translateIntactID}{\code{signature(object = "intactGraph")}: 
   		a method to translate IntAct codes to the various annotations.}
   	\item{translateNodeID}{\code{signature(object = "intactGraph")}:
   		a method that takes an intactGraph and translates each node ID from 
   		the IntAct accension IDs to any other supported identifier.}}		
}
\author{T Chiang}

\seealso{\code{\link{intactXML2Graph}}}
\keyword{models}
