\name{intactInteraction-class}
\docType{class}
\alias{intactInteraction-class}
\alias{show,intactInteraction-method}
\alias{bait,intactInteraction-method}
\alias{prey,intactInteraction-method}

\title{Class "intactInteraction"}
\description{A class representing interaction data.}
\section{Objects from the Class}{
 Objects are usually created by \code{psi25interaction}.
}
\section{Slots}{
 \describe{
   \item{\code{intact}:}{character, IntAct ID of the interaction.}
   \item{\code{interactionType}:}{character, the method used for detecting
	the interaction, such as pull down.} 
   \item{\code{expPubMed}:}{character, PubMed ID of the publication that
	describes the experiment.}
   \item{\code{expIntAct}:}{character, IntAct ID of the experiment.}
   \item{\code{confidenceValue}:}{character, confidence value of the experimental interaction.}
   \item{\code{bait}:}{character, UniProt ID of the bait.}
   \item{\code{prey}:}{character, UniProt ID(s) of the prey(s).}
   \item{\code{inhibitor}:}{character, UniProt ID of the inhibitor, NA is missing.}
   \item{\code{neutralComponent}:}{character, UniProt ID of the neutral components, NA is missing.}
 }
}
\section{Methods}{
 \describe{
\item{show}{\code{signature(object = "intactInteraction")}: a print method}
\item{bait}{\code{signature(object = "intactInteraction")}: a method to find
all the baits within the intactInteraction class and print them}
\item{prey}{\code{signature(object = "intactInteraction")}: a method to find
all the prey within the intactInteraction class and print them}   

 }
}
\author{Nianhua Li}

\seealso{\code{\link{psi25interaction}}}
\keyword{models}
