\name{interactors}
\alias{interactors}
\title{A function that obtains the interactors either in a binary interaction or 
	 a complex co-membership interaction.}
\description{
The \code{interactors} function either takes a complexEntry class or an interactionEntry
class and returns the proteins which were found to be the interactors of the interaction
or the consistuent members of the protein complex.
}
\usage{
interactors(x)
}
\arguments{
  \item{x}{A complexEntry or interactionEntry class.}
  }
\value{
A character matrix. The name of the proteins which were shown to have been involved
in the interaction or protein complex dataset represented by either the complexEntry 
or the interactionEntry.}
\references{The IntAct Database \url{http://www.ebi.ac.uk/intact/site/contents/downloads.jsf}.}
\author{T Chiang}

\seealso{\code{\link{complexEntry-class}}}

\examples{
# parse complex data
}
\keyword{ models }
