\name{psi25interaction}
\alias{psi25interaction}
\alias{psi25complex}
\title{parser for PSI-MI 2.5 XML documents from EBI intact  }
\description{
The PSI-MI 2.5 XML format is used by EBI IntAct database to record
protein-protein interaction data and protein complex data. 
\code{psi25interaction} is the parser for interaction data and
\code{psi25complex} is the parser for complex data.
}
\usage{
psi25interaction(intactFile)
psi25complex(intactFile)
}
\arguments{
  \item{intactFile}{character, file name or URL of the XML document}
}
\value{
 \code{psi25interaction} returns a list of \code{interactionEntry} 
 objects, each represents one \code{entry} in the XML document.
 \code{psi25complex} returns an \code{complexEntry} object, which
 represents the data from one XML document.
}
\references{The IntAct Database \url{http://www.ebi.ac.uk/intact/site/contents/downloads.jsf}.}
\author{Nianhua Li}

\seealso{\code{\link{interactionEntry-class}}, \code{\link{complexEntry-class}}}

\examples{
# parse complex data
fn <- system.file("PSI25XML/complexSample.xml", package="Rintact")
complexData <- psi25complex(fn)
complexData

# parse interaction data
fn <- system.file("PSI25XML/interactionSample.xml", package="Rintact")
interactionData <- psi25interaction(fn)
interactionData
}
\keyword{ models }
