\name{separateXMLDataByExpt}
\alias{separateXMLDataByExpt}
\title{A function that takes a vector of IntAct XML file name locations
       and converts them to graph objects.}
\description{
The separateXMLDataByExpt function takes in a vector of XML files
and generates a list of graph objects dividing the data by 
separately conducted experiments. If a single XML file contains
k experimental datasets, then k intactGraph objects will be produced.
}
\usage{
separateXMLDataByExpt(intactFiles, type="direct", directed=TRUE)
}
\arguments{
  \item{intactFiles}{A vector of IntAct XML file name locations, i.e.
  either where they can be found on the local hard drive or an url
  to where they can be obtained}
  \item{type}{A character. Either "direct" or "indirect" based on the 
` the information that needs to be parsed.}
  \item{directed}{A logical. User defined parameter so that the return
  value with either be a directed or undirected graph object.}
}
\value{
 A list of intactGraph objects.
}
\references{Rintact: enabling computational analysis of molecular interaction data
from the IntAct repository - Tony Chiang; Nianhua Li; Sandra Orchard; Samuel 
Kerrien; Henning Hermjakob; Robert Gentleman; Wolfgang Huber
Bioinformatics 2007; doi: 10.1093/bioinformatics/btm518.}
\author{T Chiang}

\seealso{\code{\link{interactionEntry-class}}, \code{\link{complexEntry-class}},	
	\code{\link{intactXML2Graph}}}

\examples{

}
\keyword{ models }
