\name{translateIntactID}
\alias{translateIntactID}
\title{A function that translates the IntAct accession codes for 
	 molecules to other common identifiers.}
\description{
The \code{translateIntactID} takes 3 parameters, either an intactGraph
or intactHyperGraph S-4 Class, a vector of IntAct accession codes, and
a vector of other identifiers. Then for the particular graph object, 
translateIntactID will map those IntAct accession codes to the other
identifiers if possible.
}
\usage{
translateIntactID(r,...)
}
\arguments{
  \item{r}{Either an intactGraph or intactHyperGraph S-4 Class.}
  \item{...}{The primary use of this generic are as methods for the in intactGraph
             S-4 class and the intactHyperGraph S-4 class. In both two more parameters
	     need for the method. The first is "ebiNames" which is a character vector 
	     of the IntAct accession codes to be mapped. The second is "toWhat" which 
	     is a character vector of identifier names. These identifiers
  	     are limited to the following: "uniprotId", "geneName", "fullName", 
	     "locusName", and "orfName"}
}
\value{
A character matrix. The rows are indexed by the IntAct accession codes supplied and
the columns are indexed by the identifiers supplied.
}
\references{Rintact: enabling computational analysis of molecular interaction data
from the IntAct repository - Tony Chiang; Nianhua Li; Sandra Orchard; Samuel 
Kerrien; Henning Hermjakob; Robert Gentleman; Wolfgang Huber
Bioinformatics 2007; doi: 10.1093/bioinformatics/btm518.}
\author{T Chiang}

\seealso{\code{\link{intactGraph-class}}, \code{\link{intactHyperGraph-class}}}

\examples{
# parse complex data
}
\keyword{ models }
