\name{translateNodeID}
\alias{translateNodeID}
\alias{translateNodeID,intactGraph-method}
\title{A function that translates the IntAct accession IDs in an intactGraph 
	 to other common identifiers.}
\description{
The \code{translateNodeID} takes 2 parameters, an intactGraph
and the new ID to which the IntAct accession IDs should be translated. 
Then for the particular graph object, 
translateNodeID will map those IntAct accession codes to the other
identifiers if possible and re-map the node names.
}
\usage{
translateNodeID(g,...)
}
\arguments{
  \item{g}{An intactGraph S-4 Class.}
  \item{...}{The primary use of this generic are as methods for the in intactGraph
             S-4 class and the intactHyperGraph S-4 class. In both an extra parameter, 
	     newID, is needed to
	     detail to what the IntAct accession ID should be mapped. These identifiers
  	     are limited to the following: "uniprotId", "geneName", "fullName", 
	     "locusName", and "orfName"}
}
\value{
An \code{intactGraph} S4-class with the nodes re-mapped to the user supplied identifiers.
}
\references{Rintact: enabling computational analysis of molecular interaction data
from the IntAct repository - Tony Chiang; Nianhua Li; Sandra Orchard; Samuel 
Kerrien; Henning Hermjakob; Robert Gentleman; Wolfgang Huber
Bioinformatics 2007; doi: 10.1093/bioinformatics/btm518.}
\author{T Chiang}

\seealso{\code{\link{intactGraph-class}}, \code{\link{intactHyperGraph-class}}}

\examples{
# parse complex data
}
\keyword{ models }
